## visad.aeri
Class Qdiv

    java.lang.Object
      visad.aeri.Qdiv

All Implemented Interfaces:
  EventListener, ScalarMapListener

public class Qdiv
extends Object
implements ScalarMapListener

Field Summary
`(package private) FieldImpl` `advect_field`
`(package private) int` `alt_factor`
`(package private) float` `alt_max`
`(package private) float` `alt_min`
`(package private) FunctionType` `alt_to_divqV`
`(package private) FunctionType` `alt_to_wind_aeri`
`(package private) RealType` `altitude`
`(package private) AnimationControl` `ani_cntrl`
`(package private) RealType` `band1`
`(package private) BaseMapAdapter` `baseMap`
`(package private) double[][]` `centroid_ll`
`(package private) float` `del_lat`
`(package private) float` `del_lon`
`(package private) RealType` `div_qV`
`(package private) RealTupleType` `div_qV_comps`
`(package private) FieldImpl` `divqV_field`
`(package private) RealType` `dwpt`
`(package private) boolean` `ept`
`(package private) boolean` `first_img_Event`
`(package private) boolean` `firstEvent`
`(package private) int` `height_limit`
`(package private) double` `hgt_max`
`(package private) ImageSequence` `image_seq`
`(package private) ScalarMap` `img_map`
`(package private) boolean` `imgEvent`
`(package private) RealType` `latitude`
`(package private) float` `latmax`
`(package private) float` `latmin`
`(package private) RealType` `longitude`
`(package private) float` `lonmax`
`(package private) float` `lonmin`
`(package private) DataReference` `map_ref`
`(package private) int` `n_hres_alt_samples`
`(package private) int` `n_stations`
`(package private) boolean` `pt`
`(package private) RealType` `q_divV`
`(package private) RealType` `qAdvct`
`(package private) boolean` `rh`
`(package private) RealType` `RH`
`(package private) double[]` `scale_offset_x`
`(package private) double[]` `scale_offset_y`
`(package private) RealType` `shape`
`(package private) RealTupleType` `spatial_domain`
`(package private) int` `start_date`
`(package private) double` `start_time`
`(package private) double[]` `stat_xoffset`
`(package private) double[]` `stat_yoffset`
`(package private) double[]` `station_alt`
`(package private) double[]` `station_id`
`(package private) double[]` `station_lat`
`(package private) double[]` `station_lon`
`(package private) FieldImpl` `stations_field`
`(package private) RealType` `stn_idx`
`(package private) RealType` `temp`
`(package private) RealType` `theta`
`(package private) RealType` `thetaE`
`(package private) RealType` `time`
`(package private) int` `time_intrvl`
`(package private) FunctionType` `time_to_alt_to_divqV`
`(package private) FunctionType` `time_to_alt_to_wind_aeri`
`(package private) Set` `timeDomain`
`(package private) boolean` `tm`
`(package private) RealType` `u_wind`
`(package private) RealType` `v_wind`
`(package private) RealTupleType` `wind_aeri`
`(package private) RealType` `wvmr`
`(package private) RealType` `wvmr_u`
`(package private) RealType` `wvmr_v`
`(package private) double[]` `x_range`
`(package private) ScalarMap` `xmap`
`(package private) boolean` `xmapEvent`
`(package private) double[]` `y_range`
`(package private) ScalarMap` `ymap`
`(package private) boolean` `ymapEvent`
`(package private) ScalarMap` `zmap`

Constructor Summary
`Qdiv(String[] args)`

Method Summary
`void` `controlChanged(ScalarMapControlEvent e)` Receive a `ScalarMapEvent` when the map control changes.
`static double[]` `getArrayMinMax(double[] array)`
`(package private) void` `init_from_cdf(String baseDate)`
`(package private) void` `init_from_vad(String vad_file)`
`static ImageSequence` `init_images(String image_directory)`
`static void` `main(String[] args)`
`(package private) FieldImpl` `make_wind_aeri(FieldImpl[] winds, FieldImpl[] rtvls)`
`(package private) FieldImpl[]` `makeAeri(String[] files)`
`static VisADTriangleStripArray` `makeCylinder(int n_faces, float rad, float len)`
`(package private) DisplayImpl` `makeDisplay(JPanel panel, JPanel panel2)`
`(package private) void` `makeDisplay2(JPanel panel)`
`(package private) FieldImpl` `makeDivqV(FieldImpl stations)`
`(package private) DataImpl` `makePoles()`
`(package private) FieldImpl[]` `makeWinds(String[] files)`
`void` `mapChanged(ScalarMapEvent e)` Receive a `ScalarMapEvent` when the map data changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### latitude

    RealType latitude

### longitude

    RealType longitude

### altitude

    RealType altitude

### spatial_domain

    RealTupleType spatial_domain

### time

    RealType time

### stn_idx

    RealType stn_idx

### temp

    RealType temp

### dwpt

    RealType dwpt

### wvmr

    RealType wvmr

### RH

    RealType RH

### theta

    RealType theta

### thetaE

    RealType thetaE

### u_wind

    RealType u_wind

### v_wind

    RealType v_wind

### wvmr_u

    RealType wvmr_u

### wvmr_v

    RealType wvmr_v

### band1

    RealType band1

### div_qV

    RealType div_qV

### q_divV

    RealType q_divV

### qAdvct

    RealType qAdvct

### shape

    RealType shape

### wind_aeri

    RealTupleType wind_aeri

### div_qV_comps

    RealTupleType div_qV_comps

### alt_to_wind_aeri

    FunctionType alt_to_wind_aeri

### time_to_alt_to_wind_aeri

    FunctionType time_to_alt_to_wind_aeri

### alt_to_divqV

    FunctionType alt_to_divqV

### time_to_alt_to_divqV

    FunctionType time_to_alt_to_divqV

### advect_field

    FieldImpl advect_field

### stations_field

    FieldImpl stations_field

### divqV_field

    FieldImpl divqV_field

### image_seq

    ImageSequence image_seq

### timeDomain

    Set timeDomain

### n_stations

    int n_stations

### station_lat

    double[] station_lat

### station_lon

    double[] station_lon

### station_alt

    double[] station_alt

### station_id

    double[] station_id

### stat_xoffset

    double[] stat_xoffset

### stat_yoffset

    double[] stat_yoffset

### centroid_ll

    double[][] centroid_ll

### baseMap

    BaseMapAdapter baseMap

### map_ref

    DataReference map_ref

### xmap

    ScalarMap xmap

### ymap

    ScalarMap ymap

### zmap

    ScalarMap zmap

### img_map

    ScalarMap img_map

### xmapEvent

    boolean xmapEvent

### ymapEvent

    boolean ymapEvent

### imgEvent

    boolean imgEvent

### firstEvent

    boolean firstEvent

### first_img_Event

    boolean first_img_Event

### latmin

    float latmin

### latmax

    float latmax

### lonmin

    float lonmin

### lonmax

    float lonmax

### del_lat

    float del_lat

### del_lon

    float del_lon

### x_range

    double[] x_range

### y_range

    double[] y_range

### height_limit

    int height_limit

### time_intrvl

    int time_intrvl

### rh

    boolean rh

### tm

    boolean tm

### pt

    boolean pt

### ept

    boolean ept

### start_date

    int start_date

### start_time

    double start_time

### scale_offset_x

    double[] scale_offset_x

### scale_offset_y

    double[] scale_offset_y

### ani_cntrl

    AnimationControl ani_cntrl

### alt_factor

    int alt_factor

### n_hres_alt_samples

    int n_hres_alt_samples

### alt_min

    float alt_min

### alt_max

    float alt_max

### hgt_max

    double hgt_max

Constructor Detail

### Qdiv

    public Qdiv(String[] args)
         throws VisADException,
                RemoteException,
                IOException

Method Detail

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException,
                            IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### init_from_cdf

    void init_from_cdf(String baseDate)
                 throws VisADException,
                        RemoteException,
                        IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### init_from_vad

    void init_from_vad(String vad_file)
                 throws VisADException,
                        RemoteException,
                        IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### init_images

    public static ImageSequence init_images(String image_directory)
                                     throws VisADException,
                                            RemoteException,
                                            IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### makeDisplay

    DisplayImpl makeDisplay(JPanel panel,
                            JPanel panel2)
                      throws VisADException,
                             RemoteException,
                             IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### makeDisplay2

    void makeDisplay2(JPanel panel)
                throws VisADException,
                       RemoteException,
                       IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### getArrayMinMax

    public static double[] getArrayMinMax(double[] array)

### makePoles

    DataImpl makePoles()
                 throws VisADException,
                        RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### mapChanged

    public void mapChanged(ScalarMapEvent e)
                    throws VisADException,
                           RemoteException

  Description copied from interface: `ScalarMapListener`
  Receive a `ScalarMapEvent` when the map data changes.

  Specified by:
    `mapChanged` in interface `ScalarMapListener`
  Parameters:
    `e` - the event
  Throws:
    `RemoteException` - If there was an RMI-related problem.
    `VisADException` - If there is a problem notifying this listener.

### controlChanged

    public void controlChanged(ScalarMapControlEvent e)

  Description copied from interface: `ScalarMapListener`
  Receive a `ScalarMapEvent` when the map control changes.

  Specified by:
    `controlChanged` in interface `ScalarMapListener`
  Parameters:
    `e` - the event

### makeWinds

    FieldImpl[] makeWinds(String[] files)
                    throws VisADException,
                           RemoteException,
                           IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### makeAeri

    FieldImpl[] makeAeri(String[] files)
                   throws VisADException,
                          RemoteException,
                          IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### make_wind_aeri

    FieldImpl make_wind_aeri(FieldImpl[] winds,
                             FieldImpl[] rtvls)
                       throws VisADException,
                              RemoteException,
                              IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### makeDivqV

    FieldImpl makeDivqV(FieldImpl stations)
                  throws VisADException,
                         RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### makeCylinder

    public static VisADTriangleStripArray makeCylinder(int n_faces,
                                                       float rad,
                                                       float len)